commit d20f5bc660f06f5a354c70cb3fd5676abb832b26
Author: Julien Enselme <julien.enselme@centrale-marseille.fr>
Date:   Thu Aug 7 10:26:36 2014 +0200

    Udpate to 7.31

diff --git a/drupal7/CHANGELOG.txt b/drupal7/CHANGELOG.txt
index 57cc8b2e..3a3abdc0 100644
--- a/drupal7/CHANGELOG.txt
+++ b/drupal7/CHANGELOG.txt
@@ -1,4 +1,8 @@
 
+Drupal 7.31, 2014-08-06
+----------------------
+- Fixed security issues (denial of service). See SA-CORE-2014-004.
+
 Drupal 7.30, 2014-07-24
 -----------------------
 - Fixed a regression introduced in Drupal 7.29 that caused files or images
diff --git a/drupal7/includes/bootstrap.inc b/drupal7/includes/bootstrap.inc
index b61c9ddf..c2a84a1c 100644
--- a/drupal7/includes/bootstrap.inc
+++ b/drupal7/includes/bootstrap.inc
@@ -8,7 +8,7 @@
 /**
  * The current system version.
  */
-define('VERSION', '7.30');
+define('VERSION', '7.31');
 
 /**
  * Core API compatibility.
diff --git a/drupal7/includes/xmlrpc.inc b/drupal7/includes/xmlrpc.inc
index b1c6f39c..dc69dd99 100644
--- a/drupal7/includes/xmlrpc.inc
+++ b/drupal7/includes/xmlrpc.inc
@@ -178,7 +178,41 @@ function xmlrpc_message_parse($xmlrpc_message) {
   xml_set_element_handler($xmlrpc_message->_parser, 'xmlrpc_message_tag_open', 'xmlrpc_message_tag_close');
   xml_set_character_data_handler($xmlrpc_message->_parser, 'xmlrpc_message_cdata');
   xmlrpc_message_set($xmlrpc_message);
-  if (!xml_parse($xmlrpc_message->_parser, $xmlrpc_message->message)) {
+
+  // Strip XML declaration.
+  $header = preg_replace('/<\?xml.*?\?'.'>/s', '', substr($xmlrpc_message->message, 0, 100), 1);
+  $xml = trim(substr_replace($xmlrpc_message->message, $header, 0, 100));
+  if ($xml == '') {
+    return FALSE;
+  }
+  // Strip DTD.
+  $header = preg_replace('/^<!DOCTYPE[^>]*+>/i', '', substr($xml, 0, 200), 1);
+  $xml = trim(substr_replace($xml, $header, 0, 200));
+  if ($xml == '') {
+    return FALSE;
+  }
+  // Confirm the XML now starts with a valid root tag. A root tag can end in [> \t\r\n]
+  $root_tag = substr($xml, 0, strcspn(substr($xml, 0, 20), "> \t\r\n"));
+  // Reject a second DTD.
+  if (strtoupper($root_tag) == '<!DOCTYPE') {
+    return FALSE;
+  }
+  if (!in_array($root_tag, array('<methodCall', '<methodResponse', '<fault'))) {
+    return FALSE;
+  }
+  // Skip parsing if there is an unreasonably large number of tags.
+  try {
+    $dom = new DOMDocument();
+    @$dom->loadXML($xml);
+    if ($dom->getElementsByTagName('*')->length > variable_get('xmlrpc_message_maximum_tag_count', 30000)) {
+      return FALSE;
+    }
+  }
+  catch (Exception $e) {
+    return FALSE;
+  }
+
+  if (!xml_parse($xmlrpc_message->_parser, $xml)) {
     return FALSE;
   }
   xml_parser_free($xmlrpc_message->_parser);
diff --git a/drupal7/modules/aggregator/aggregator.info b/drupal7/modules/aggregator/aggregator.info
index 9d44d105..42dd131b 100644
--- a/drupal7/modules/aggregator/aggregator.info
+++ b/drupal7/modules/aggregator/aggregator.info
@@ -7,8 +7,8 @@ files[] = aggregator.test
 configure = admin/config/services/aggregator/settings
 stylesheets[all][] = aggregator.css
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/aggregator/tests/aggregator_test.info b/drupal7/modules/aggregator/tests/aggregator_test.info
index b8486fce..38322294 100644
--- a/drupal7/modules/aggregator/tests/aggregator_test.info
+++ b/drupal7/modules/aggregator/tests/aggregator_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/block/block.info b/drupal7/modules/block/block.info
index 70fa5bba..0df1b9fc 100644
--- a/drupal7/modules/block/block.info
+++ b/drupal7/modules/block/block.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = block.test
 configure = admin/structure/block
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/block/tests/block_test.info b/drupal7/modules/block/tests/block_test.info
index 2dae1e53..34946184 100644
--- a/drupal7/modules/block/tests/block_test.info
+++ b/drupal7/modules/block/tests/block_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
index 16ad5ad8..f34460b4 100644
--- a/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
+++ b/drupal7/modules/block/tests/themes/block_test_theme/block_test_theme.info
@@ -13,8 +13,8 @@ regions[footer] = Footer
 regions[highlighted] = Highlighted
 regions[help] = Help
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/blog/blog.info b/drupal7/modules/blog/blog.info
index 2ce39934..a28e647a 100644
--- a/drupal7/modules/blog/blog.info
+++ b/drupal7/modules/blog/blog.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = blog.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/book/book.info b/drupal7/modules/book/book.info
index ee7dbdf0..307e21b4 100644
--- a/drupal7/modules/book/book.info
+++ b/drupal7/modules/book/book.info
@@ -7,8 +7,8 @@ files[] = book.test
 configure = admin/content/book/settings
 stylesheets[all][] = book.css
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/color/color.info b/drupal7/modules/color/color.info
index 6cf119e1..7cc2e1d8 100644
--- a/drupal7/modules/color/color.info
+++ b/drupal7/modules/color/color.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = color.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/comment/comment.info b/drupal7/modules/comment/comment.info
index 803054c8..6a43996b 100644
--- a/drupal7/modules/comment/comment.info
+++ b/drupal7/modules/comment/comment.info
@@ -9,8 +9,8 @@ files[] = comment.test
 configure = admin/content/comment
 stylesheets[all][] = comment.css
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/contact/contact.info b/drupal7/modules/contact/contact.info
index a9a02b49..c96c7d3a 100644
--- a/drupal7/modules/contact/contact.info
+++ b/drupal7/modules/contact/contact.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = contact.test
 configure = admin/structure/contact
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/contextual/contextual.info b/drupal7/modules/contextual/contextual.info
index df245b76..51db81b9 100644
--- a/drupal7/modules/contextual/contextual.info
+++ b/drupal7/modules/contextual/contextual.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = contextual.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/dashboard/dashboard.info b/drupal7/modules/dashboard/dashboard.info
index 9f975b9c..f1b8e38a 100644
--- a/drupal7/modules/dashboard/dashboard.info
+++ b/drupal7/modules/dashboard/dashboard.info
@@ -7,8 +7,8 @@ files[] = dashboard.test
 dependencies[] = block
 configure = admin/dashboard/customize
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/dblog/dblog.info b/drupal7/modules/dblog/dblog.info
index 130e8370..0245789f 100644
--- a/drupal7/modules/dblog/dblog.info
+++ b/drupal7/modules/dblog/dblog.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = dblog.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/field/field.info b/drupal7/modules/field/field.info
index a542b69a..b6ad8b02 100644
--- a/drupal7/modules/field/field.info
+++ b/drupal7/modules/field/field.info
@@ -11,8 +11,8 @@ dependencies[] = field_sql_storage
 required = TRUE
 stylesheets[all][] = theme/field.css
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
index 9f967ce1..84e04f55 100644
--- a/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
+++ b/drupal7/modules/field/modules/field_sql_storage/field_sql_storage.info
@@ -7,8 +7,8 @@ dependencies[] = field
 files[] = field_sql_storage.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/field/modules/list/list.info b/drupal7/modules/field/modules/list/list.info
index b2451a99..5775a6aa 100644
--- a/drupal7/modules/field/modules/list/list.info
+++ b/drupal7/modules/field/modules/list/list.info
@@ -7,8 +7,8 @@ dependencies[] = field
 dependencies[] = options
 files[] = tests/list.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/field/modules/list/tests/list_test.info b/drupal7/modules/field/modules/list/tests/list_test.info
index 28f12e7b..80cc174c 100644
--- a/drupal7/modules/field/modules/list/tests/list_test.info
+++ b/drupal7/modules/field/modules/list/tests/list_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/field/modules/number/number.info b/drupal7/modules/field/modules/number/number.info
index 1f9bb7dc..e3bb64e6 100644
--- a/drupal7/modules/field/modules/number/number.info
+++ b/drupal7/modules/field/modules/number/number.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = number.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/field/modules/options/options.info b/drupal7/modules/field/modules/options/options.info
index e9acaa03..b1d5f224 100644
--- a/drupal7/modules/field/modules/options/options.info
+++ b/drupal7/modules/field/modules/options/options.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = options.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/field/modules/text/text.info b/drupal7/modules/field/modules/text/text.info
index 026ce62a..f8950ca4 100644
--- a/drupal7/modules/field/modules/text/text.info
+++ b/drupal7/modules/field/modules/text/text.info
@@ -7,8 +7,8 @@ dependencies[] = field
 files[] = text.test
 required = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/field/tests/field_test.info b/drupal7/modules/field/tests/field_test.info
index b737b709..0c1b701e 100644
--- a/drupal7/modules/field/tests/field_test.info
+++ b/drupal7/modules/field/tests/field_test.info
@@ -6,8 +6,8 @@ files[] = field_test.entity.inc
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/field_ui/field_ui.info b/drupal7/modules/field_ui/field_ui.info
index c1a1c9e0..a590c123 100644
--- a/drupal7/modules/field_ui/field_ui.info
+++ b/drupal7/modules/field_ui/field_ui.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = field_ui.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/file/file.info b/drupal7/modules/file/file.info
index 826ec37b..2dc36b08 100644
--- a/drupal7/modules/file/file.info
+++ b/drupal7/modules/file/file.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = field
 files[] = tests/file.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/file/tests/file_module_test.info b/drupal7/modules/file/tests/file_module_test.info
index f5007a72..0f7e7971 100644
--- a/drupal7/modules/file/tests/file_module_test.info
+++ b/drupal7/modules/file/tests/file_module_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/filter/filter.info b/drupal7/modules/filter/filter.info
index d8fa753e..b0c50adc 100644
--- a/drupal7/modules/filter/filter.info
+++ b/drupal7/modules/filter/filter.info
@@ -7,8 +7,8 @@ files[] = filter.test
 required = TRUE
 configure = admin/config/content/formats
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/forum/forum.info b/drupal7/modules/forum/forum.info
index 707a8a81..a138be96 100644
--- a/drupal7/modules/forum/forum.info
+++ b/drupal7/modules/forum/forum.info
@@ -9,8 +9,8 @@ files[] = forum.test
 configure = admin/structure/forum
 stylesheets[all][] = forum.css
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/help/help.info b/drupal7/modules/help/help.info
index 5d631a2b..c666cb48 100644
--- a/drupal7/modules/help/help.info
+++ b/drupal7/modules/help/help.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = help.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/image/image.info b/drupal7/modules/image/image.info
index 8e0a2c36..2c67a872 100644
--- a/drupal7/modules/image/image.info
+++ b/drupal7/modules/image/image.info
@@ -7,8 +7,8 @@ dependencies[] = file
 files[] = image.test
 configure = admin/config/media/image-styles
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/image/tests/image_module_test.info b/drupal7/modules/image/tests/image_module_test.info
index 80d914b9..95c18eaf 100644
--- a/drupal7/modules/image/tests/image_module_test.info
+++ b/drupal7/modules/image/tests/image_module_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = image_module_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/locale/locale.info b/drupal7/modules/locale/locale.info
index bddc8bc7..30a7af9c 100644
--- a/drupal7/modules/locale/locale.info
+++ b/drupal7/modules/locale/locale.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = locale.test
 configure = admin/config/regional/language
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/locale/tests/locale_test.info b/drupal7/modules/locale/tests/locale_test.info
index 5cc8fff8..fad5ab06 100644
--- a/drupal7/modules/locale/tests/locale_test.info
+++ b/drupal7/modules/locale/tests/locale_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/menu/menu.info b/drupal7/modules/menu/menu.info
index b8c9762e..f6456b0d 100644
--- a/drupal7/modules/menu/menu.info
+++ b/drupal7/modules/menu/menu.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = menu.test
 configure = admin/structure/menu
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/node/node.info b/drupal7/modules/node/node.info
index adb87bf3..1aaf3c0b 100644
--- a/drupal7/modules/node/node.info
+++ b/drupal7/modules/node/node.info
@@ -9,8 +9,8 @@ required = TRUE
 configure = admin/structure/types
 stylesheets[all][] = node.css
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/node/tests/node_access_test.info b/drupal7/modules/node/tests/node_access_test.info
index 04ace28d..cce51a39 100644
--- a/drupal7/modules/node/tests/node_access_test.info
+++ b/drupal7/modules/node/tests/node_access_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/node/tests/node_test.info b/drupal7/modules/node/tests/node_test.info
index 30ef0358..111b0672 100644
--- a/drupal7/modules/node/tests/node_test.info
+++ b/drupal7/modules/node/tests/node_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/node/tests/node_test_exception.info b/drupal7/modules/node/tests/node_test_exception.info
index bf02df39..86bd6699 100644
--- a/drupal7/modules/node/tests/node_test_exception.info
+++ b/drupal7/modules/node/tests/node_test_exception.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/openid/openid.inc b/drupal7/modules/openid/openid.inc
index d7ef663b..a1da1d0b 100644
--- a/drupal7/modules/openid/openid.inc
+++ b/drupal7/modules/openid/openid.inc
@@ -158,6 +158,11 @@ function _openid_xrds_parse($raw_xml) {
     return array();
   }
 
+  // Also stop parsing if there is an unreasonably large number of tags.
+  if ($dom->getElementsByTagName('*')->length > variable_get('openid_xrds_maximum_tag_count', 30000)) {
+    return array();
+  }
+
   // Parse the DOM document for the information we need.
   if ($xml = simplexml_import_dom($dom)) {
     foreach ($xml->children(OPENID_NS_XRD)->XRD as $xrd) {
diff --git a/drupal7/modules/openid/openid.info b/drupal7/modules/openid/openid.info
index a48407f1..65b7904e 100644
--- a/drupal7/modules/openid/openid.info
+++ b/drupal7/modules/openid/openid.info
@@ -5,8 +5,8 @@ package = Core
 core = 7.x
 files[] = openid.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/openid/tests/openid_test.info b/drupal7/modules/openid/tests/openid_test.info
index 0ad87f94..b30b29e5 100644
--- a/drupal7/modules/openid/tests/openid_test.info
+++ b/drupal7/modules/openid/tests/openid_test.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = openid
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/overlay/overlay.info b/drupal7/modules/overlay/overlay.info
index 93af30bd..8ce9d6bc 100644
--- a/drupal7/modules/overlay/overlay.info
+++ b/drupal7/modules/overlay/overlay.info
@@ -4,8 +4,8 @@ package = Core
 version = VERSION
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/path/path.info b/drupal7/modules/path/path.info
index f53a8dbd..96e596ad 100644
--- a/drupal7/modules/path/path.info
+++ b/drupal7/modules/path/path.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = path.test
 configure = admin/config/search/path
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/php/php.info b/drupal7/modules/php/php.info
index 5b41662f..fdfda55a 100644
--- a/drupal7/modules/php/php.info
+++ b/drupal7/modules/php/php.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = php.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/poll/poll.info b/drupal7/modules/poll/poll.info
index 463571b5..6b22166d 100644
--- a/drupal7/modules/poll/poll.info
+++ b/drupal7/modules/poll/poll.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = poll.test
 stylesheets[all][] = poll.css
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/profile/profile.info b/drupal7/modules/profile/profile.info
index 88914e36..5d851aa4 100644
--- a/drupal7/modules/profile/profile.info
+++ b/drupal7/modules/profile/profile.info
@@ -11,8 +11,8 @@ configure = admin/config/people/profile
 ; See user_system_info_alter().
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/rdf/rdf.info b/drupal7/modules/rdf/rdf.info
index 4a382407..6aaf38f8 100644
--- a/drupal7/modules/rdf/rdf.info
+++ b/drupal7/modules/rdf/rdf.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 files[] = rdf.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/rdf/tests/rdf_test.info b/drupal7/modules/rdf/tests/rdf_test.info
index 8e0f9c52..e3ae7159 100644
--- a/drupal7/modules/rdf/tests/rdf_test.info
+++ b/drupal7/modules/rdf/tests/rdf_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/search/search.info b/drupal7/modules/search/search.info
index bebb67ba..32307b9c 100644
--- a/drupal7/modules/search/search.info
+++ b/drupal7/modules/search/search.info
@@ -8,8 +8,8 @@ files[] = search.test
 configure = admin/config/search/settings
 stylesheets[all][] = search.css
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/search/tests/search_embedded_form.info b/drupal7/modules/search/tests/search_embedded_form.info
index be73a7b9..c5154b37 100644
--- a/drupal7/modules/search/tests/search_embedded_form.info
+++ b/drupal7/modules/search/tests/search_embedded_form.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/search/tests/search_extra_type.info b/drupal7/modules/search/tests/search_extra_type.info
index ffb2969e..450a3236 100644
--- a/drupal7/modules/search/tests/search_extra_type.info
+++ b/drupal7/modules/search/tests/search_extra_type.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/shortcut/shortcut.info b/drupal7/modules/shortcut/shortcut.info
index b7dce54e..2852508d 100644
--- a/drupal7/modules/shortcut/shortcut.info
+++ b/drupal7/modules/shortcut/shortcut.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = shortcut.test
 configure = admin/config/user-interface/shortcut
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/simpletest.info b/drupal7/modules/simpletest/simpletest.info
index 7ba9d123..a1c8af13 100644
--- a/drupal7/modules/simpletest/simpletest.info
+++ b/drupal7/modules/simpletest/simpletest.info
@@ -56,8 +56,8 @@ files[] = tests/upgrade/update.trigger.test
 files[] = tests/upgrade/update.field.test
 files[] = tests/upgrade/update.user.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/actions_loop_test.info b/drupal7/modules/simpletest/tests/actions_loop_test.info
index 65155c4a..72b9a74e 100644
--- a/drupal7/modules/simpletest/tests/actions_loop_test.info
+++ b/drupal7/modules/simpletest/tests/actions_loop_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/ajax_forms_test.info b/drupal7/modules/simpletest/tests/ajax_forms_test.info
index 4863f59a..c6047ce9 100644
--- a/drupal7/modules/simpletest/tests/ajax_forms_test.info
+++ b/drupal7/modules/simpletest/tests/ajax_forms_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/ajax_test.info b/drupal7/modules/simpletest/tests/ajax_test.info
index 5f1100af..bf773938 100644
--- a/drupal7/modules/simpletest/tests/ajax_test.info
+++ b/drupal7/modules/simpletest/tests/ajax_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/batch_test.info b/drupal7/modules/simpletest/tests/batch_test.info
index dbfbfb3f..3e3f5ff8 100644
--- a/drupal7/modules/simpletest/tests/batch_test.info
+++ b/drupal7/modules/simpletest/tests/batch_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/common_test.info b/drupal7/modules/simpletest/tests/common_test.info
index 4551a33c..1e9c0e46 100644
--- a/drupal7/modules/simpletest/tests/common_test.info
+++ b/drupal7/modules/simpletest/tests/common_test.info
@@ -7,8 +7,8 @@ stylesheets[all][] = common_test.css
 stylesheets[print][] = common_test.print.css
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/common_test_cron_helper.info b/drupal7/modules/simpletest/tests/common_test_cron_helper.info
index b05c45ca..a9bf680e 100644
--- a/drupal7/modules/simpletest/tests/common_test_cron_helper.info
+++ b/drupal7/modules/simpletest/tests/common_test_cron_helper.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/database_test.info b/drupal7/modules/simpletest/tests/database_test.info
index 7f3d1b95..0ba0daf6 100644
--- a/drupal7/modules/simpletest/tests/database_test.info
+++ b/drupal7/modules/simpletest/tests/database_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info b/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
index 159bbae6..918ed781 100644
--- a/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
+++ b/drupal7/modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info b/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
index 2a4221f5..92337b73 100644
--- a/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
+++ b/drupal7/modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/entity_cache_test.info b/drupal7/modules/simpletest/tests/entity_cache_test.info
index 435d0af3..0e2fbf6f 100644
--- a/drupal7/modules/simpletest/tests/entity_cache_test.info
+++ b/drupal7/modules/simpletest/tests/entity_cache_test.info
@@ -6,8 +6,8 @@ core = 7.x
 dependencies[] = entity_cache_test_dependency
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info b/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
index 5ad33428..35ae880b 100644
--- a/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
+++ b/drupal7/modules/simpletest/tests/entity_cache_test_dependency.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/entity_crud_hook_test.info b/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
index b92324c2..81bdb80f 100644
--- a/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
+++ b/drupal7/modules/simpletest/tests/entity_crud_hook_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/entity_query_access_test.info b/drupal7/modules/simpletest/tests/entity_query_access_test.info
index a72bc440..9c1009eb 100644
--- a/drupal7/modules/simpletest/tests/entity_query_access_test.info
+++ b/drupal7/modules/simpletest/tests/entity_query_access_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/error_test.info b/drupal7/modules/simpletest/tests/error_test.info
index f87fe6d0..a30cd284 100644
--- a/drupal7/modules/simpletest/tests/error_test.info
+++ b/drupal7/modules/simpletest/tests/error_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/file_test.info b/drupal7/modules/simpletest/tests/file_test.info
index d2f35abf..5bf4265c 100644
--- a/drupal7/modules/simpletest/tests/file_test.info
+++ b/drupal7/modules/simpletest/tests/file_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = file_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/filter_test.info b/drupal7/modules/simpletest/tests/filter_test.info
index ce2f9cdb..dff4b556 100644
--- a/drupal7/modules/simpletest/tests/filter_test.info
+++ b/drupal7/modules/simpletest/tests/filter_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/form_test.info b/drupal7/modules/simpletest/tests/form_test.info
index dcef0fb9..c5534e54 100644
--- a/drupal7/modules/simpletest/tests/form_test.info
+++ b/drupal7/modules/simpletest/tests/form_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/image_test.info b/drupal7/modules/simpletest/tests/image_test.info
index 1c04d1a6..d006b89a 100644
--- a/drupal7/modules/simpletest/tests/image_test.info
+++ b/drupal7/modules/simpletest/tests/image_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/menu_test.info b/drupal7/modules/simpletest/tests/menu_test.info
index 85c6fde7..dc9b3bfb 100644
--- a/drupal7/modules/simpletest/tests/menu_test.info
+++ b/drupal7/modules/simpletest/tests/menu_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/module_test.info b/drupal7/modules/simpletest/tests/module_test.info
index d9d42734..bbe8ef8e 100644
--- a/drupal7/modules/simpletest/tests/module_test.info
+++ b/drupal7/modules/simpletest/tests/module_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/path_test.info b/drupal7/modules/simpletest/tests/path_test.info
index e33f748a..ab728640 100644
--- a/drupal7/modules/simpletest/tests/path_test.info
+++ b/drupal7/modules/simpletest/tests/path_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info b/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
index 735dbb2a..3d237595 100644
--- a/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
+++ b/drupal7/modules/simpletest/tests/psr_0_test/psr_0_test.info
@@ -5,8 +5,8 @@ core = 7.x
 hidden = TRUE
 package = Testing
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/requirements1_test.info b/drupal7/modules/simpletest/tests/requirements1_test.info
index cb47960f..f02a18af 100644
--- a/drupal7/modules/simpletest/tests/requirements1_test.info
+++ b/drupal7/modules/simpletest/tests/requirements1_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/requirements2_test.info b/drupal7/modules/simpletest/tests/requirements2_test.info
index a4c1ad58..8cb1a824 100644
--- a/drupal7/modules/simpletest/tests/requirements2_test.info
+++ b/drupal7/modules/simpletest/tests/requirements2_test.info
@@ -7,8 +7,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/session_test.info b/drupal7/modules/simpletest/tests/session_test.info
index 41dda788..d9e05b88 100644
--- a/drupal7/modules/simpletest/tests/session_test.info
+++ b/drupal7/modules/simpletest/tests/session_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/system_dependencies_test.info b/drupal7/modules/simpletest/tests/system_dependencies_test.info
index 38542aac..0523f6e5 100644
--- a/drupal7/modules/simpletest/tests/system_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_dependencies_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = _missing_dependency
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info b/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
index ff909eb5..ff42b7b6 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_core_version_dependencies_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = system_incompatible_core_version_test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info b/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
index 7b5b98e2..a5c5bc1d 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_core_version_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 5.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info b/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
index f618ef7c..c9be76e6 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_module_version_dependencies_test.info
@@ -7,8 +7,8 @@ hidden = TRUE
 ; system_incompatible_module_version_test declares version 1.0
 dependencies[] = system_incompatible_module_version_test (>2.0)
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info b/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
index 72213563..4523584a 100644
--- a/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
+++ b/drupal7/modules/simpletest/tests/system_incompatible_module_version_test.info
@@ -5,8 +5,8 @@ version = 1.0
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/system_test.info b/drupal7/modules/simpletest/tests/system_test.info
index f6c59ebf..b7b2b0d2 100644
--- a/drupal7/modules/simpletest/tests/system_test.info
+++ b/drupal7/modules/simpletest/tests/system_test.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = system_test.module
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/taxonomy_test.info b/drupal7/modules/simpletest/tests/taxonomy_test.info
index a2e2ef9e..b10a1e5a 100644
--- a/drupal7/modules/simpletest/tests/taxonomy_test.info
+++ b/drupal7/modules/simpletest/tests/taxonomy_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 dependencies[] = taxonomy
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/theme_test.info b/drupal7/modules/simpletest/tests/theme_test.info
index 2c56dda4..07bcc806 100644
--- a/drupal7/modules/simpletest/tests/theme_test.info
+++ b/drupal7/modules/simpletest/tests/theme_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info b/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
index 618c61db..5cbaa53d 100644
--- a/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_basetheme/test_basetheme.info
@@ -6,8 +6,8 @@ hidden = TRUE
 settings[basetheme_only] = base theme value
 settings[subtheme_override] = base theme value
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info b/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
index 32eb1879..5b919214 100644
--- a/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_subtheme/test_subtheme.info
@@ -6,8 +6,8 @@ hidden = TRUE
 
 settings[subtheme_override] = subtheme value
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info b/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
index 929bfee9..3838dcca 100644
--- a/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
+++ b/drupal7/modules/simpletest/tests/themes/test_theme/test_theme.info
@@ -17,8 +17,8 @@ stylesheets[all][] = system.base.css
 
 settings[theme_test_setting] = default value
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/update_script_test.info b/drupal7/modules/simpletest/tests/update_script_test.info
index 9ce79ff0..20b93529 100644
--- a/drupal7/modules/simpletest/tests/update_script_test.info
+++ b/drupal7/modules/simpletest/tests/update_script_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_1.info b/drupal7/modules/simpletest/tests/update_test_1.info
index 8688d8ea..752c39a5 100644
--- a/drupal7/modules/simpletest/tests/update_test_1.info
+++ b/drupal7/modules/simpletest/tests/update_test_1.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_2.info b/drupal7/modules/simpletest/tests/update_test_2.info
index 8688d8ea..752c39a5 100644
--- a/drupal7/modules/simpletest/tests/update_test_2.info
+++ b/drupal7/modules/simpletest/tests/update_test_2.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/update_test_3.info b/drupal7/modules/simpletest/tests/update_test_3.info
index 8688d8ea..752c39a5 100644
--- a/drupal7/modules/simpletest/tests/update_test_3.info
+++ b/drupal7/modules/simpletest/tests/update_test_3.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/url_alter_test.info b/drupal7/modules/simpletest/tests/url_alter_test.info
index 1075b1e0..a1c02094 100644
--- a/drupal7/modules/simpletest/tests/url_alter_test.info
+++ b/drupal7/modules/simpletest/tests/url_alter_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/simpletest/tests/xmlrpc.test b/drupal7/modules/simpletest/tests/xmlrpc.test
index 1a0fd86d..1a9ef234 100644
--- a/drupal7/modules/simpletest/tests/xmlrpc.test
+++ b/drupal7/modules/simpletest/tests/xmlrpc.test
@@ -211,6 +211,11 @@ class XMLRPCMessagesTestCase extends DrupalWebTestCase {
    * Make sure that XML-RPC can transfer large messages.
    */
   function testSizedMessages() {
+    // These tests can produce up to 128 x 160 words in the XML-RPC message
+    // (see xmlrpc_test_message_sized_in_kb()) with 4 tags used to represent
+    // each. Set a large enough tag limit to allow this to be tested.
+    variable_set('xmlrpc_message_maximum_tag_count', 100000);
+
     $xml_url = url(NULL, array('absolute' => TRUE)) . 'xmlrpc.php';
     $sizes = array(8, 80, 160);
     foreach ($sizes as $size) {
diff --git a/drupal7/modules/simpletest/tests/xmlrpc_test.info b/drupal7/modules/simpletest/tests/xmlrpc_test.info
index 08e59cd0..001f495f 100644
--- a/drupal7/modules/simpletest/tests/xmlrpc_test.info
+++ b/drupal7/modules/simpletest/tests/xmlrpc_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/statistics/statistics.info b/drupal7/modules/statistics/statistics.info
index 11a658e4..bd585537 100644
--- a/drupal7/modules/statistics/statistics.info
+++ b/drupal7/modules/statistics/statistics.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = statistics.test
 configure = admin/config/system/statistics
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/syslog/syslog.info b/drupal7/modules/syslog/syslog.info
index bdde31be..f180d30c 100644
--- a/drupal7/modules/syslog/syslog.info
+++ b/drupal7/modules/syslog/syslog.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = syslog.test
 configure = admin/config/development/logging
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/system/system.info b/drupal7/modules/system/system.info
index 7c9f33c0..e286de31 100644
--- a/drupal7/modules/system/system.info
+++ b/drupal7/modules/system/system.info
@@ -12,8 +12,8 @@ files[] = system.test
 required = TRUE
 configure = admin/config/system
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/system/tests/cron_queue_test.info b/drupal7/modules/system/tests/cron_queue_test.info
index 4f226293..bcb2b5b5 100644
--- a/drupal7/modules/system/tests/cron_queue_test.info
+++ b/drupal7/modules/system/tests/cron_queue_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/taxonomy/taxonomy.info b/drupal7/modules/taxonomy/taxonomy.info
index 52d1b9de..21949dac 100644
--- a/drupal7/modules/taxonomy/taxonomy.info
+++ b/drupal7/modules/taxonomy/taxonomy.info
@@ -8,8 +8,8 @@ files[] = taxonomy.module
 files[] = taxonomy.test
 configure = admin/structure/taxonomy
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/toolbar/toolbar.info b/drupal7/modules/toolbar/toolbar.info
index 2e05b151..f1522d86 100644
--- a/drupal7/modules/toolbar/toolbar.info
+++ b/drupal7/modules/toolbar/toolbar.info
@@ -4,8 +4,8 @@ core = 7.x
 package = Core
 version = VERSION
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/tracker/tracker.info b/drupal7/modules/tracker/tracker.info
index b7a5c1c9..b013afc9 100644
--- a/drupal7/modules/tracker/tracker.info
+++ b/drupal7/modules/tracker/tracker.info
@@ -6,8 +6,8 @@ version = VERSION
 core = 7.x
 files[] = tracker.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/translation/tests/translation_test.info b/drupal7/modules/translation/tests/translation_test.info
index a4ccb002..fcdb3418 100644
--- a/drupal7/modules/translation/tests/translation_test.info
+++ b/drupal7/modules/translation/tests/translation_test.info
@@ -5,8 +5,8 @@ package = Testing
 version = VERSION
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/translation/translation.info b/drupal7/modules/translation/translation.info
index 2eb78adc..d2dc70a7 100644
--- a/drupal7/modules/translation/translation.info
+++ b/drupal7/modules/translation/translation.info
@@ -6,8 +6,8 @@ version = VERSION
 core = 7.x
 files[] = translation.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/trigger/tests/trigger_test.info b/drupal7/modules/trigger/tests/trigger_test.info
index ae820a27..4be6e9ea 100644
--- a/drupal7/modules/trigger/tests/trigger_test.info
+++ b/drupal7/modules/trigger/tests/trigger_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/trigger/trigger.info b/drupal7/modules/trigger/trigger.info
index d3f59134..50de781a 100644
--- a/drupal7/modules/trigger/trigger.info
+++ b/drupal7/modules/trigger/trigger.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = trigger.test
 configure = admin/structure/trigger
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/update/tests/aaa_update_test.info b/drupal7/modules/update/tests/aaa_update_test.info
index f1b710bf..fde43804 100644
--- a/drupal7/modules/update/tests/aaa_update_test.info
+++ b/drupal7/modules/update/tests/aaa_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/update/tests/bbb_update_test.info b/drupal7/modules/update/tests/bbb_update_test.info
index 80188f2c..2cd39664 100644
--- a/drupal7/modules/update/tests/bbb_update_test.info
+++ b/drupal7/modules/update/tests/bbb_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/update/tests/ccc_update_test.info b/drupal7/modules/update/tests/ccc_update_test.info
index f36b8e6a..dfd9eb67 100644
--- a/drupal7/modules/update/tests/ccc_update_test.info
+++ b/drupal7/modules/update/tests/ccc_update_test.info
@@ -4,8 +4,8 @@ package = Testing
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info b/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
index f23a9c19..07401a28 100644
--- a/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
+++ b/drupal7/modules/update/tests/themes/update_test_basetheme/update_test_basetheme.info
@@ -3,8 +3,8 @@ description = Test theme which acts as a base theme for other test subthemes.
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info b/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
index 5bc60474..53608d0d 100644
--- a/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
+++ b/drupal7/modules/update/tests/themes/update_test_subtheme/update_test_subtheme.info
@@ -4,8 +4,8 @@ core = 7.x
 base theme = update_test_basetheme
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/update/tests/update_test.info b/drupal7/modules/update/tests/update_test.info
index 1ce9823f..c965cf15 100644
--- a/drupal7/modules/update/tests/update_test.info
+++ b/drupal7/modules/update/tests/update_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/update/update.info b/drupal7/modules/update/update.info
index af32ca89..4aa2c68f 100644
--- a/drupal7/modules/update/update.info
+++ b/drupal7/modules/update/update.info
@@ -6,8 +6,8 @@ core = 7.x
 files[] = update.test
 configure = admin/reports/updates/settings
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/user/tests/user_form_test.info b/drupal7/modules/user/tests/user_form_test.info
index 45ded0bd..4ba4ddbe 100644
--- a/drupal7/modules/user/tests/user_form_test.info
+++ b/drupal7/modules/user/tests/user_form_test.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/modules/user/user.info b/drupal7/modules/user/user.info
index 50b6219b..2d9691e9 100644
--- a/drupal7/modules/user/user.info
+++ b/drupal7/modules/user/user.info
@@ -9,8 +9,8 @@ required = TRUE
 configure = admin/config/people
 stylesheets[all][] = user.css
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/profiles/minimal/minimal.info b/drupal7/profiles/minimal/minimal.info
index 5d2ddc61..ba0e8b84 100644
--- a/drupal7/profiles/minimal/minimal.info
+++ b/drupal7/profiles/minimal/minimal.info
@@ -5,8 +5,8 @@ core = 7.x
 dependencies[] = block
 dependencies[] = dblog
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/profiles/standard/standard.info b/drupal7/profiles/standard/standard.info
index 9eb71e7e..4c2c8880 100644
--- a/drupal7/profiles/standard/standard.info
+++ b/drupal7/profiles/standard/standard.info
@@ -24,8 +24,8 @@ dependencies[] = field_ui
 dependencies[] = file
 dependencies[] = rdf
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info b/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
index 165a383a..0912df98 100644
--- a/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
+++ b/drupal7/profiles/testing/modules/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.info
@@ -6,8 +6,8 @@ core = 7.x
 hidden = TRUE
 files[] = drupal_system_listing_compatible_test.test
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info b/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
index ba29ccf5..6f7381d8 100644
--- a/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
+++ b/drupal7/profiles/testing/modules/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.info
@@ -8,8 +8,8 @@ version = VERSION
 core = 6.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/profiles/testing/testing.info b/drupal7/profiles/testing/testing.info
index 820036af..faba5749 100644
--- a/drupal7/profiles/testing/testing.info
+++ b/drupal7/profiles/testing/testing.info
@@ -4,8 +4,8 @@ version = VERSION
 core = 7.x
 hidden = TRUE
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/themes/bartik/bartik.info b/drupal7/themes/bartik/bartik.info
index bb1986a5..a596bd82 100644
--- a/drupal7/themes/bartik/bartik.info
+++ b/drupal7/themes/bartik/bartik.info
@@ -34,8 +34,8 @@ regions[footer] = Footer
 settings[shortcut_module_link] = 0
 
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/themes/garland/garland.info b/drupal7/themes/garland/garland.info
index 007a9f51..13c02cdd 100644
--- a/drupal7/themes/garland/garland.info
+++ b/drupal7/themes/garland/garland.info
@@ -7,8 +7,8 @@ stylesheets[all][] = style.css
 stylesheets[print][] = print.css
 settings[garland_width] = fluid
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/themes/seven/seven.info b/drupal7/themes/seven/seven.info
index 445339f7..070889db 100644
--- a/drupal7/themes/seven/seven.info
+++ b/drupal7/themes/seven/seven.info
@@ -13,8 +13,8 @@ regions[page_bottom] = Page bottom
 regions[sidebar_first] = First sidebar
 regions_hidden[] = sidebar_first
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
diff --git a/drupal7/themes/stark/stark.info b/drupal7/themes/stark/stark.info
index d3fe05af..1b891e53 100644
--- a/drupal7/themes/stark/stark.info
+++ b/drupal7/themes/stark/stark.info
@@ -5,8 +5,8 @@ version = VERSION
 core = 7.x
 stylesheets[all][] = layout.css
 
-; Information added by Drupal.org packaging script on 2014-07-24
-version = "7.30"
+; Information added by Drupal.org packaging script on 2014-08-06
+version = "7.31"
 project = "drupal"
-datestamp = "1406239730"
+datestamp = "1407346433"
 
